Documentation: NexWaveform Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexWaveform Class Reference
Nextion Component

NexWaveform component. More...

`#include <NexWaveform.h>`

Inherits NexObject.

## Public Member Functions

| NexWaveform (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | addValue (uint8_t ch, uint8_t number)
| Add value to show. More...
uint32_t | Get_background_color_bco (uint32_t *number)
| Get bco attribute of component. More...
bool | Set_background_color_bco (uint32_t number)
| Set bco attribute of component. More...
uint32_t | Get_grid_color_gdc (uint32_t *number)
| Get gdc attribute of component. More...
bool | Set_grid_color_gdc (uint32_t number)
| Set gdc attribute of component. More...
uint32_t | Get_grid_width_gdw (uint32_t *number)
| Get gdw attribute of component. More...
bool | Set_grid_width_gdw (uint32_t number)
| Set gdw attribute of component. More...
uint32_t | Get_grid_height_gdh (uint32_t *number)
| Get gdh attribute of component. More...
bool | Set_grid_height_gdh (uint32_t number)
| Set gdh attribute of component. More...
uint32_t | Get_channel_0_color_pco0 (uint32_t *number)
| Get pco0 attribute of component. More...
bool | Set_channel_0_color_pco0 (uint32_t number)
| Set pco0 attribute of component. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexWaveform component.

Definition at line 29 of file NexWaveform.h.

## Constructor & Destructor Documentation

NexWaveform::NexWaveform | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 17 of file NexWaveform.cpp.

## Member Function Documentation

bool NexWaveform::addValue | ( | uint8_t | ch,
|  | uint8_t | number
| ) |  |

Add value to show.

Parameters

  ch | - channel of waveform(0-3).
  number | - the value of waveform.

Return values

  true | - success.
  false | - failed.

Definition at line 22 of file NexWaveform.cpp.

uint32_t NexWaveform::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 37 of file NexWaveform.cpp.

uint32_t NexWaveform::Get_channel_0_color_pco0 | ( | uint32_t * | number | ) |

Get pco0 attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 149 of file NexWaveform.cpp.

uint32_t NexWaveform::Get_grid_color_gdc | ( | uint32_t * | number | ) |

Get gdc attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 65 of file NexWaveform.cpp.

uint32_t NexWaveform::Get_grid_height_gdh | ( | uint32_t * | number | ) |

Get gdh attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 121 of file NexWaveform.cpp.

uint32_t NexWaveform::Get_grid_width_gdw | ( | uint32_t * | number | ) |

Get gdw attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 93 of file NexWaveform.cpp.

bool NexWaveform::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 47 of file NexWaveform.cpp.

bool NexWaveform::Set_channel_0_color_pco0 | ( | uint32_t | number | ) |

Set pco0 attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 159 of file NexWaveform.cpp.

bool NexWaveform::Set_grid_color_gdc | ( | uint32_t | number | ) |

Set gdc attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 75 of file NexWaveform.cpp.

bool NexWaveform::Set_grid_height_gdh | ( | uint32_t | number | ) |

Set gdh attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 131 of file NexWaveform.cpp.

bool NexWaveform::Set_grid_width_gdw | ( | uint32_t | number | ) |

Set gdw attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 103 of file NexWaveform.cpp.

The documentation for this class was generated from the following files:

- NexWaveform.h
- NexWaveform.cpp